<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-2019 Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); 
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\Utilities\ArrayHelper;
if (!$list)
{
        return;
}
$text_left=($params->get('text_left'))?'order-first':'';
$css_position=$params->get('content_position')?' flex-column ':' flex-row ';
$books_x_row=$params->get('books_x_row', 1);
?>
<div class="list row row-cols-1 row-cols-md-<?php echo $books_x_row;?> align-items-stretch gx-4 gy-5 book_container<?php echo $params->get('moduleclass_sfx'); ?>">
<?php
foreach ($list as $item) : ?>
	<div class="col">
        <div class="row <?php echo $css_position; ?> h-100 book<?php echo $params->get('moduleclass_sfx'); ?>">
		<div class="col-4 item-image">
			<a href="<?php echo $item->link; ?>">
			<?php if ($params->get('show_image', 1) && $item->image){ 
				$img = HTMLHelper::cleanImageURL($item->image);
				$extraAttr = "";
				// Set lazyloading only for images which have width and height attributes
		                if ((isset($img->attributes['width']) && (int) $img->attributes['width'] > 0)
                		&& (isset($img->attributes['height']) && (int) $img->attributes['height'] > 0)){
		 	               $extraAttr = ArrayHelper::toString($img->attributes) . ' loading="lazy"';
                		}?>
                                <img class="img-polaroid" src="<?php echo $img->url; ?>" <?php echo $extraAttr;?> alt="<?php echo $item->title; ?>" />
			<?php }else{ ?>
				<img class="img-polaroid" src="components/com_abook/assets/images/nocover.png" width="80" height="112" loading="lazy" alt="<?php echo $item->title; ?>" />
			<?php }?>
			</a>
		</div>
		<div class="col <?php echo $text_left; ?>">
			<?php if ($params->get('show_date', 0)){ ?>
        	        	<div><?php echo $item->dateinsert; ?></div>
		        <?php } ?>
			<?php if ($params->get('show_title', 1)){ ?>
				<div>
					<a href="<?php echo $item->link; ?>" class="book_title"><?php echo $item->title; ?>
					<?php if ($params->get('show_subtitle', 0)){ ?>
					<br /><small><?php echo $item->subtitle; ?></small>
					<?php } ?>
					</a>
				</div>
			<?php } ?>
			<?php if ($params->get('show_author', 0) && $item->author!='') { ?>
                	       	<div><?php echo $item->editedby==1 ? JText::_('MOD_ABOOK_ALLINONE_EDITED_BY')." " : JText::_('MOD_ABOOK_ALLINONE_BY')." ";?> <span class="author"><?php echo $item->author; ?></span></div>
		        <?php } ?>
			<?php if ($params->get('show_text', 0)){ ?>
               			<div><?php echo $item->text; ?></div>
		        <?php } ?>
        		<?php if ($params->get('show_link_cat', 0)){ ?>
				<div><?php echo JText::_('MOD_ABOOK_ALLINONE_CATEGORY'); ?>: <a href="<?php echo $item->catlink; ?>" class="book_cat"><?php echo $item->catname; ?></a></div>
			<?php } ?>
		</div>
	</div>
	</div>
<?php endforeach;?>
</div>
